EDIT - bug #6780

ConversationHolder isTransactionActive() returns true even if the transaction is completed
07/07/2017 11:08 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 50%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.12

Severity: normal Found in Version:

Description

The ConversationHolder method isTransactionActive() (always?) returns true in cases when the transaction has been rolled back or
was committed.

this mehtod should be changed like this:
public boolean isTransactionActive () {

return transactionStatus != null && !transactionStatus.isCompleted();

#4335 is possibly a duplicate of this

Associated revisions

Revision 6¢1d8f53 - 10/25/2017 04:10 PM - Andreas Kohlbecker

fix #6780 correctly checking for active transaction

Revision ec18134a - 10/25/2017 04:48 PM - Andreas Kohlbecker

enabling transaction close on conversation unbind after ref #6780 is fixed this could also have en effect to ref #7035

Revision b84bb2fd - 10/25/2017 06:06 PM - Andreas Kohlbecker
Revert "enabling transaction close on conversation unbind after ref #6780 is fixed this could also have en effect to ref #7035"

need to revert due to problems with transaction synchronization being not active

This reverts commit ec18134aae9b2699aebfcf378da03d767332dcb7.

History

#2 - 10/25/2017 04:34 PM - Andreas Kohlbecker
- Status changed from New to In Progress
- Assignee changed from Andreas Muiller to Andreas Kohlbecker

- Target version changed from Unassigned CDM tickets to Release 4.11

#3 - 10/25/2017 04:40 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|6¢1d8f53db753c0a3cda24a7ba5966fc1212855¢.

#4 - 10/25/2017 06:10 PM - Andreas Kohlbecker

| needed to revert (cdm-vaadin|b84bb2fd ) a prevous commit which was making use of the fixed isTransactionActive() method due to problems with
the transaction synchronization being not active:

2017-10-25 18:03:20.859:WARN:0ejs.HttpChannel :qtp748658608-47: /app/distribution
java.lang.IllegalStateException: Cannot deactivate transaction synchronization - not active

at org.springframework.transaction.support.TransactionSynchronizationManager.clearSynchronization (Transact
ionSynchronizationManager. java:329)

at org.springframework.transaction.support.TransactionSynchronizationManager.clear (TransactionSynchronizat
ionManager. java:464)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.cleanupAfterCompletion (Abstr
actPlatformTransactionManager.java:1013)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.processCommit (AbstractPlatfo
rmTransactionManager. java:811)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.commit (AbstractPlatformTrans
actionManager. java:730)

at
at
at
at
a:56)
at

ava:56)

eu
eu
eu
eu

.etaxonomy.cdm.api.conversation.ConversationHolder.commit (ConversationHolder. java:341)
.etaxonomy.vaadin.mvp.AbstractPresenter.unbindConversation (AbstractPresenter. java:194)
.etaxonomy.vaadin.mvp.AbstractPresenter.onRequestEnd (AbstractPresenter. java:253)
.etaxonomy.cdm.vaadin.server.CdmSpringVaadinServletService.lambda$l (CdmSpringVaadinServletService. jav

java.util.ArrayList.forEach(ArrayList.java:1249)
at eu.etaxonomy.cdm.vaadin.server.CdmSpringVaadinServletService.requestEnd (CdmSpringVaadinServletService.j

at com.vaadin.server.VaadinService.handleRequest (VaadinService. java:1450)
at com.vaadin.server.VaadinServlet.service (VaadinServlet. java:380)

#5 - 11/02/2017 12:31 PM - Andreas Kohlbecker

- Target version changed from Release 4.11 to Release 4.12

#6 - 11/08/2017 03:38 PM - Andreas Miuller

- Status changed from Resolved to Feedback

#7 - 12/06/2017 04:05 PM - Andreas Kohlbecker

- Status changed from Feedback to Closed

reviewed by a.mueller: "Deine vorgeschlagenen Anderungen im ConversationHolder sind dort ja weiterhin drin. Lediglich in vaadin hast du wohl
etwas reverted.
Kann man das Ticket evtl. doch schlieBen jetzt? "

Ok, dann ist also alles gut und du hast hiermit auch gleich das Review gemacht, also schlie3e ich das Ticket.
